/*
 * Copyright (c) 2010-2011, The MiCode Open Source Community (www.micode.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.micode.notes.tool;

public class GTaskStringUtils {
    // 定义GTASK_JSON_ACTION_ID常量，用于标识动作ID
    public final static String GTASK_JSON_ACTION_ID = "action_id";
    // 定义GTASK_JSON_ACTION_LIST常量，用于标识动作列表
    public final static String GTASK_JSON_ACTION_LIST = "action_list";
    // 定义GTASK_JSON_ACTION_TYPE常量，用于标识动作类型
    public final static String GTASK_JSON_ACTION_TYPE = "action_type";
    // 定义GTASK_JSON_ACTION_TYPE_CREATE常量，表示创建动作
    public final static String GTASK_JSON_ACTION_TYPE_CREATE = "create";
    // 定义GTASK_JSON_ACTION_TYPE_GETALL常量，表示获取所有动作
    public final static String GTASK_JSON_ACTION_TYPE_GETALL = "get_all";
    // 定义GTASK_JSON_ACTION_TYPE_MOVE常量，表示移动动作
    public final static String GTASK_JSON_ACTION_TYPE_MOVE = "move";
    // 定义GTASK_JSON_ACTION_TYPE_UPDATE常量，表示更新动作
    public final static String GTASK_JSON_ACTION_TYPE_UPDATE = "update";
    // 定义GTASK_JSON_CREATOR_ID常量，用于标识创建者ID
    public final static String GTASK_JSON_CREATOR_ID = "creator_id";
    // 定义GTASK_JSON_CHILD_ENTITY常量，用于标识子实体
    public final static String GTASK_JSON_CHILD_ENTITY = "child_entity";
    // 定义GTASK_JSON_CLIENT_VERSION常量，用于标识客户端版本
    public final static String GTASK_JSON_CLIENT_VERSION = "client_version";
    // 定义GTASK_JSON_COMPLETED常量，用于标识任务是否完成
    public final static String GTASK_JSON_COMPLETED = "completed";
    // 定义GTASK_JSON_CURRENT_LIST_ID常量，用于标识当前列表ID
    public final static String GTASK_JSON_CURRENT_LIST_ID = "current_list_id";
    // 定义GTASK_JSON_DEFAULT_LIST_ID常量，用于标识默认列表ID
    public final static String GTASK_JSON_DEFAULT_LIST_ID = "default_list_id";
    // 定义GTASK_JSON_DELETED常量，用于标识任务是否被删除
    public final static String GTASK_JSON_DELETED = "deleted";
    // 定义GTASK_JSON_DEST_LIST常量，用于标识目标列表
    public final static String GTASK_JSON_DEST_LIST = "dest_list";
    // 定义GTASK_JSON_DEST_PARENT常量，用于标识目标父任务
    public final static String GTASK_JSON_DEST_PARENT = "dest_parent";
    // 定义GTASK_JSON_DEST_PARENT_TYPE常量，用于标识目标父任务类型
    public final static String GTASK_JSON_DEST_PARENT_TYPE = "dest_parent_type";
    // 定义GTASK_JSON_ENTITY_DELTA常量，用于标识实体变化
    public final static String GTASK_JSON_ENTITY_DELTA = "entity_delta";
    // 定义GTASK_JSON_ENTITY_TYPE常量，用于标识实体类型
    public final static String GTASK_JSON_ENTITY_TYPE = "entity_type";
    // 定义GTASK_JSON_GET_DELETED常量，表示获取已删除的任务
    public final static String GTASK_JSON_GET_DELETED = "get_deleted";
    // 定义GTASK_JSON_ID常量，用于标识任务ID
    public final static String GTASK_JSON_ID = "id";
    // 定义GTASK_JSON_INDEX常量，用于标识任务在列表中的索引
    public final static String GTASK_JSON_INDEX = "index";
    // 定义GTASK_JSON_LAST_MODIFIED常量，用于标识任务最后修改时间
    public final static String GTASK_JSON_LAST_MODIFIED = "last_modified";
    // 定义GTASK_JSON_LATEST_SYNC_POINT常量，用于标识最新的同步点
    public final static String GTASK_JSON_LATEST_SYNC_POINT = "latest_sync_point";
    // 定义GTASK_JSON_LIST_ID常量，用于标识列表ID
    public final static String GTASK_JSON_LIST_ID = "list_id";
    // 定义GTASK_JSON_LISTS常量，用于标识列表集合
    public final static String GTASK_JSON_LISTS = "lists";
    // 定义GTASK_JSON_NAME常量，用于标识任务或列表的名称
    public final static String GTASK_JSON_NAME = "name";
    // 定义GTASK_JSON_NEW_ID常量，用于标识新的任务ID
    public final static String GTASK_JSON_NEW_ID = "new_id";
    // 定义GTASK_JSON_NOTES常量，用于标识任务的备注信息
    public final static String GTASK_JSON_NOTES = "notes";
    // 定义GTASK_JSON_PARENT_ID常量，用于标识父任务ID
    public final static String GTASK_JSON_PARENT_ID = "parent_id";
    // 定义GTASK_JSON_PRIOR_SIBLING_ID常量，用于标识前一个兄弟任务ID
    public final static String GTASK_JSON_PRIOR_SIBLING_ID = "prior_sibling_id";
    // 定义GTASK_JSON_RESULTS常量，用于标识操作结果
    public final static String GTASK_JSON_RESULTS = "results";
    // 定义GTASK_JSON_SOURCE_LIST常量，用于标识源列表
    public final static String GTASK_JSON_SOURCE_LIST = "source_list";
    // 定义GTASK_JSON_TASKS常量，用于标识任务集合
    public final static String GTASK_JSON_TASKS = "tasks";
    // 定义GTASK_JSON_TYPE常量，用于标识实体类型
    public final static String GTASK_JSON_TYPE = "type";
    // 定义GTASK_JSON_TYPE_GROUP常量，表示分组类型
    public final static String GTASK_JSON_TYPE_GROUP = "GROUP";
    // 定义GTASK_JSON_TYPE_TASK常量，表示任务类型
    public final static String GTASK_JSON_TYPE_TASK = "TASK";
    // 定义GTASK_JSON_USER常量，用于标识用户信息
    public final static String GTASK_JSON_USER = "user";

    // 定义MIUI_FOLDER_PREFFIX常量，用于标识MIUI笔记的文件夹前缀
    public final static String MIUI_FOLDER_PREFFIX = "[MIUI_Notes]";
    // 定义FOLDER_DEFAULT常量，用于标识默认文件夹名称
    public final static String FOLDER_DEFAULT = "Default";
    // 定义FOLDER_CALL_NOTE常量，用于标识通话记录文件夹名称
    public final static String FOLDER_CALL_NOTE = "Call_Note";
    // 定义FOLDER_META常量，用于标识元数据文件夹名称
    public final static String FOLDER_META = "METADATA";

    // 定义META_HEAD_GTASK_ID常量，用于标识元数据中的GTask ID
    public final static String META_HEAD_GTASK_ID = "meta_gid";
    // 定义META_HEAD_NOTE常量，用于标识元数据中的笔记信息
    public final static String META_HEAD_NOTE = "meta_note";
    // 定义META_HEAD_DATA常量，用于标识元数据中的其他数据
    public final static String META_HEAD_DATA = "meta_data";
    // 定义META_NOTE_NAME常量，用于标识元数据笔记的名称，警告不要更新或删除
    public final static String META_NOTE_NAME = "[META INFO] DON'T UPDATE AND DELETE";
}