/*
 * Copyright (c) 2010-2011, The MiCode Open Source Community (www.micode.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.micode.notes.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

public class AlarmReceiver extends BroadcastReceiver {
//声明一个公共类 AlarmReceiver，它继承自 BroadcastReceiver，用于处理接收到的广播。
    @Override
//注解，表明接下来的方法是对父类方法的重写。
    public void onReceive(Context context, Intent intent) {
//定义 onReceive 方法，当接收器接收到广播时会自动调用此方法。context: 提供调用应用环境的上下文信息。intent: 带有相关信息的 Intent，可以用来处理接收到的数据。
    intent.setClass(context, AlarmAlertActivity.class);
//将传入的 Intent 的目标类设置为 AlarmAlertActivity。这意味着当该 Intent 被处理时，会启动 AlarmAlertActivity 这个活动。
    intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
//为 Intent 添加标志 FLAG_ACTIVITY_NEW_TASK，表示要启动一个新的任务来运行这个活动。这通常用于在非活动上下文中启动活动。
    context.startActivity(intent);
//使用提供的上下文来启动指定的活动，即 AlarmAlertActivity。这会使应用程序的 UI 界面切换到闹钟提醒的活动。
    }
}