/*
 * Copyright (c) 2010-2011, The MiCode Open Source Community (www.micode.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.micode.notes.gtask.exception;

// 自定义异常类，继承自 Exception
public class NetworkFailureException extends Exception {
    // 序列版本 UID，用于序列化
    private static final long serialVersionUID = 2107610287180234136L;

    // 默认构造函数
    public NetworkFailureException() {
        super(); // 调用父类的默认构造器
    }

    // 带有错误信息的构造函数
    public NetworkFailureException(String paramString) {
        super(paramString); // 调用父类的构造器，并传递错误信息
    }

    // 带有错误信息和原始异常的构造函数
    public NetworkFailureException(String paramString, Throwable paramThrowable) {
        super(paramString, paramThrowable); // 调用父类的构造器，传递错误信息和原始异常
    }
}
